Subject: Re: POHMELFS high performance network filesystem. Transactions, failover, performance.

From: Andrew Morton <[email-masked]>
Date: Tue, 13 May 2008 23:33:41 -0700

On Tue, 13 May 2008 21:45:24 +0400 Evgeniy Polyakov <[email-masked]> wrote:

> I'm please to announce POHMEL high performance network filesystem.

If any thread takes more than one kmap() at a time, it is deadlockable.
Because there is a finite pool of kmaps.  Everyone can end up holding
one or more kmaps, then waiting for someone else to release one.

Duplicating page_waitqueue() is bad.  Exporting it is probably bad too.
Better would be to help us work out why the core kernel infrastructure is
unsuitable, then make it suitable.